@import "../colorbox/colorbox.css";

:root {
	--primary: #74da72;
	--primaryhover: #64ca62;
	--secondary: #0a1f25;
	--light: #eee;
	--dark: #344;
	--green: #5c9900;
}

h1, h2, h3, h4, h5, h6 {
	font-family: "Raleway", sans-serif;
 	font-optical-sizing: auto;
	font-weight: 200;
	font-style: normal;
}

.bg-primary {
	background: var(--primary) !important;
	color: white;
}

.bg-primary *{
color: white !important;
}

.bg-primary-top {
	background: url('../img/bg-primary-top.png');
	background-size: cover;
	background-position: top;
	padding-top: 15%;
}

.bg-primary-bottom {
	background: url('../img/bg-primary-bottom.png');
	background-size: cover;
	background-position: bottom;
	padding-top: 15%;
}

.bg-primary, .bg-primary * {
	color: white;
}

.bg-secondary {
	background: var(--secondary) !important;
	color: white;
}

.bg-light {
	background: var(--light) !important;
}

.c-primary {
	color: var(--primary);
}

.text-right {
	text-align: right;
}

.embed-responsive {
	width: 100%;
}

.sketch {
	background-image: url('../img/sketch.svg');
	background-size: contain;
	background-repeat: no-repeat;
}

.sketch.sketch-right {
	background-position: right;
}

a {
	color: #5c9900;
}

a:hover {
	color: #3c7900;
}

.gallery img {
	width: 100%;
}

.image-shadow {
	background: url('../img/image-shadow.png') center top no-repeat;
	background-size: contain;
	padding-bottom: 12%;
	display: block;
	width: 100%;
}	

.image-shadow.circle {
background-image: url('../img/shadow-circle.png');
padding-bottom: 20%;
	
}

.form-control {
	margin-bottom: 0.9em;
	border-radius: 3px;
	padding: 15px;
}


.logotype {
	text-align: left;
	text-indent: -1000px;
	overflow: hidden;
	width: 14em;
	margin-left: 1.7em;
	background: url('../img/jp-logotype.png') left no-repeat;
	background-size: contain;
}

@media (max-width: 480px) {
	.logotype {
		width: 12em;
	}
}

.map {
	display: block;
	width: 100% !important;
	height: 400px !important;
}

.price {
	text-align: right;
}

.text-primary {
	color: #83d402 !important;
}

.btn-primary {
	background-color: var(--primary) !important;
	border: none;
	margin-bottom: 0.5em;
}


.btn-secondary {
	background-color: var(--secondary) !important;
	border: none;
	margin-bottom: 0.5em;
}


.fw-medium {
	font-weight: 600 !important;
}

.back-to-top {
	position: fixed;
	display: none;
	right: 45px;
	bottom: 45px;
	z-index: 99;
}

#spinner {
	opacity: 0;
	visibility: hidden;
	transition: opacity .5s ease-out, visibility 0s linear .5s;
	z-index: 99999;
}

#spinner.show {
	transition: opacity .5s ease-out, visibility 0s linear 0s;
	visibility: visible;
	opacity: 1;
}


.btn {
	font-weight: 500;
	text-transform: uppercase;
	transition: .5s;
}

.btn.btn-primary,
.btn.btn-secondary {
	color: #FFFFFF;
}

.btn-square {
	width: 38px;
	height: 38px;
}

.btn-sm-square {
	width: 32px;
	height: 32px;
}

.btn-lg-square {
	width: 48px;
	height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
	padding: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	font-weight: normal;
	border-radius: 2px;
}

.fa-xl {
	font-size: 4em;
	display: block;
	margin: auto;
	margin-bottom: 0.6em;
}


.navbar {
	position: absolute;
	z-index:100;
	left: 20px;
	right: 20px;
	top: 20px;
	/*background: rgba(0,0,0,0.4);*/
	color : white;
   

}

.navbar .navbar-collapse {
}

.navbar a {
	color: white;
}

.navbar-nav a {
	/*border-bottom: 2px solid white;*/
}

.navbar a#buttonContact {
	position:fixed;
	right: 0;
	margin: 0;

}

.navbar .dropdown-toggle::after {
	border: none;
	content: "\f107";
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	vertical-align: middle;
	margin-left: 8px;
}

.navbar-light .navbar-nav .nav-link {
	margin-right: 30px;
	padding: 25px 0;
	color: #FFFFFF;
	font-size: 16px;
	text-transform: uppercase;
	outline: none;
	text-shadow: 1px 1px black;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link.active {
	color: var(--secondary);
	border-color:var(--primary);
}

@media (max-width: 991.98px) {
	.navbar-light .navbar-nav .nav-link  {
		margin-right: 0;
		padding: 10px 0;
	}

	.navbar-light .navbar-nav {
		border-top: 1px solid #EEEEEE;
	}
}

.navbar-light .navbar-brand,
.navbar-light a.btn {
	height: 75px;
}

.navbar-light .navbar-nav .nav-link {
	font-weight: 500;
}

.navbar-light.sticky-top {
	top: -100px;
	transition: .5s;
}

#intro {
	position: relative;
	z-index: 1;
}

@media (min-width: 992px) {
	.navbar .nav-item .dropdown-menu {
		display: block;
		border: none;
		margin-top: 0;
		top: 150%;
		opacity: 0;
		visibility: hidden;
		transition: .5s;
	}

	.navbar .nav-item:hover .dropdown-menu {
		top: 100%;
		visibility: visible;
		transition: .5s;
		opacity: 1;
	}
}


.carousel-caption {
	top: 78%;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0, 0, 0, .3);
	z-index: 1;
}

#highlights {
	position: relative;
	z-index: 2;
	text-align: center;
	padding-bottom: 5em;
	padding-top: 2em;
	margin-top: -13em;
	background: rgba(10, 31, 37, 0.5) !important;
}

#highlights .fa {
	display: block;
	font-size: 5em;
	margin-bottom: 1em;
	opacity: 0.2;
}

#highlights h2 {
	font-size: 1em;
	font-weight: normal;
	padding: 0 2em;
}

.carousel-control-prev,
.carousel-control-next {
	width: 10%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
	width: 3rem;
	height: 3rem;
}

.header-image {
	text-align: center;
	color: white;
	text-shadow: 2px 2px black;
	text-transform: uppercase;
	font-weight: 200;
	height: 30em;
	background-size: cover;
	background-position: center;
	margin-bottom: 0.8em;
	position: relative;
	z-index: 1;
}

h1 {
	text-align: center;
	color: var(--primary);
	margin-top: 1em;
}

.btn {
	background: #5c9900;
	color: white;
	padding: 1em;
}

#timeline {
	background: var(--dark);
}

.timeline {
	padding-bottom: 6em;
}

.timeline h3 {
	text-align: center;
	color: white;
	font-weight: 400;
	font-size: 1.3em;
	padding-top: 7em;
	background: url('../timeline.svg') top no-repeat;
	background-size: 100%;

}

.timeline h3 small{
	display: block;
	font-size: 0.7em;
	color: #999;
}

@media (max-width: 768px) {
	.navbar-collapse {background: var(--primary); padding: 30px;}
	.navbar a#buttonContact {
		position: static;
	}
	#header-carousel .carousel-item {
		position: relative;
		/*min-height: 450px;*/
	}
	
	#header-carousel .carousel-item img {
		position: absolute;
		width: 100%;
		height: 100%;
		object-fit: cover;
	}
}

.page-header {
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
}

.page-header-inner {
	background: rgba(0, 0, 0, .7);
}

.breadcrumb-item + .breadcrumb-item::before {
	color: var(--light);
}

.logo,
.logo-small {
	font-weight: 200;
	text-transform: uppercase;
}


.footer {
	background: var(--secondary);
	margin-top: 5em;
	padding: 2em 0 6em 0;
}

.footer nav {
	text-align: right;
}

.footer nav a {
	margin-left: 1em;
	color: white;
	display: inline-block;
	border-bottom: 2px solid rgba(255,255,255,0.3);
	padding: 0.6em;
}

.footer nav a:hover {
border-bottom: 2px solid rgba(255,255,255,1);
}

.footer .btn.btn-social {
	margin-right: 5px;
	width: 35px;
	height: 35px;
	display: flex;
	align-items: center;
	justify-content: center;
	color: var(--light);
	border: 1px solid #FFFFFF;
	border-radius: 35px;
	transition: .3s;
}

.footer .btn.btn-social:hover {
	color: var(--primary);
}

.footer .btn.btn-link {
	display: block;
	margin-bottom: 5px;
	padding: 0;
	text-align: left;
	color: #FFFFFF;
	font-size: 15px;
	font-weight: normal;
	text-transform: capitalize;
	transition: .3s;
}

.footer .btn.btn-link::before {
	position: relative;
	content: "\f105";
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	margin-right: 10px;
}

.footer .btn.btn-link:hover {
	letter-spacing: 1px;
	box-shadow: none;
}

.footer .copyright {
	padding: 25px 0;
	font-size: 15px;
	border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
	color: var(--light);
}

.footer .footer-menu a {
	margin-right: 15px;
	padding-right: 15px;
	border-right: 1px solid rgba(255, 255, 255, .3);
}

.footer .footer-menu a:last-child {
	margin-right: 0;
	padding-right: 0;
	border-right: none;
}

.hidden {
	display: none;
}

.fa-large {
	font-size: 3em;
}

.embed-responsive-16by9 {
	padding-top: 56.25%;
	position: relative;
}

.embed-responsive-item {
	position: absolute; top: 0; left: 0; width: 100%; height: 100%; border: 0;
}

header {
	position: fixed;
	z-index: 100;
	width: 100vw;
	padding-top: 2em;
}

#mobile-menu {
	display: none;
}

#mobile-menu.visible {
	display: block;
	background: var(--primary);
	color: white;
	border-radius: 2em;
}

#mobile-menu.visible nav {
	display: block;
	padding-top: 10em;
}

#mobile-menu.visible nav a{
	display: block;
	color: white;
	text-decoration: none;
	font-size: 1.2em;
	text-transform: uppercase;
	padding: 2em;
	border-bottom: 1px solid;
}

#mobile-menu.visible nav a:last-child{
	border-bottom: none;
}

#mobile-menu.visible nav a:hover{
	background: rgba(255,255,255,0.3);
}


#call-us,
#menu,
#moreinfo {
	font-size: 0.7em;
	background: var(--primary);
	color: white;
	border-radius: 5em;	
	text-align: center;
	display: inline-block;
	padding: 2em;
	text-transform: uppercase;
	word-break: break-all;
	width: 10em;
	height: 10em;
	font-weight: bold;
	text-decoration: none;
}

#call-us:hover,
#menu:hover,
#moreinfo:hover {
	background: var(--primaryhover);
}

#call-us .fa,
#menu .fa,
#moreinfo .fa {
	font-size: 2em;
	display: block;
	margin: auto;
	margin-bottom: 0.5em;
}

#call-us {
	float: left;
}

#menu {
	float: right;
	padding-top: 3em;
}

#menu > .fa {
	font-size: 4em;

}

#moreinfo > .fa {
	font-size: 3em;

}

#uvod {
	height: 113vh;
	background: url('../intro.jpeg');
	background-size: cover;
	background-position: center bottom;
	overflow: hidden;
	text-align: center;
	padding-top: 35vh;
}

#uvod h1 {
	padding: 0 25vw;
	font-weight: bold;
	font-size: 4em;
	margin-bottom: 1em;
	text-transform: uppercase;
	text-shadow: 1px 1px black;
}

#uvod h1 small {
	display: block;
	font-size: 0.4em;
	font-weight: normal;
	color: white;
}

#celorocni-zahrady {
	padding-top: 5em;
	text-align: center;
	/*background: url('../zahrada-1.png');
	background-size: contain;
	background-repeat: no-repeat;
	background-position: right;*/
}

#celorocni-zahrady h2,
#celorocni-zahrady .fa {
	color: var(--primary);
}

#celorocni-zahrady h2 {
	font-size: 1.4em;
	margin-top: 1em;
}

#celorocni-zahrady .col-lg-3 {
	padding: 0 2em;
}

#celorocni-zahrady p {
	text-align: justify;
}

#sestavte-si-zahradu .options a {
	display: block;
	border: 2px solid;
	border-radius: 2em;
	text-align: center;
	padding: 20%;
	text-decoration: none !important;
	background: rgba(116, 218, 114, 0.2);
	border-color: var(--primary);
}

#sestavte-si-zahradu .options a:hover {
	border-width: 4px;
	background: rgba(116, 218, 114,0.4);
}

#sestavte-si-zahradu .bg-primary .options a {
	background: rgba(255,255,255,0.2);
	border-color: white;
}

#sestavte-si-zahradu .bg-primary .options a:hover {
	border-width: 4px;
	background: rgba(255,255,255,0.4);
}

#sestavte-si-zahradu .options a img{
display: block;
width: 100%;
margin: auto;
margin-bottom: 1em;
}

#sestavte-si-zahradu .options a span {
	text-transform: uppercase;
	font-size: 1.5em;

}

#sestavte-si-zahradu .color-options a {
	text-decoration: none;
	font-size: 1.5em;
	text-transform: uppercase;
	border: 2px solid transparent;
	display: block;
	border-radius: 1em;
	padding: 10%;
}

#sestavte-si-zahradu .color-options .color-option {
	border: 2px solid white;
	border-radius: 6em;
	padding-bottom: 100%;
}

#sestavte-si-zahradu .color-options a:hover{
	border-color: white;
}


@media (max-width: 991px) {
	 .logo-small {
		display: none;
	}

	.logo {
		display: block;
	}

	.footer .logo {
		display: none;
	}

	.footer nav {
		text-align: center;
	}

	.timeline h3 {
		font-size: 1em;
	}

	.carousel-caption h2 {
	font-size: 0.6em;
	padding: 0 1em;
	}

	.carousel-caption {
	top: 35%;
	}

	.pricelist {
		font-size: 0.7em;
	}

	.projects h3{
		font-size: 1.2em;
	}
}

@media (min-width: 991px) {
	.carousel-item {
		margin-top: -12em;
	}
}

@media (min-width: 1100px) and (max-width: 1400px) {
	.carousel-caption {
		top: 65%;
	}
}


@media (min-width: 900px) and (max-width: 1099px) {
	.carousel-caption {
		top: 52%;
	}
}

@media (min-width: 992px) and (max-width: 1300px) {
	.logo {
		display: none;
	}

	.logo-small {
		display: none;
	}
}

@media (min-width: 1025px) and (max-width: 1300px) {
	.logo-small {
		display: block;
	}
}

@media (min-width: 1300px) {
	.logo-small {
		display: none;
	}
}

@media (max-width: 575.875px) {
	.row {
	  margin:0px;
	}
}

@media (max-width: 476px) {
	.carousel-item {
		padding-bottom: 14em;
	}

	.carousel-caption {
		background: #5c9900;
		top: 48%;
	}

	.carousel-caption .fa{
		color: white;
		font-size: 4em;
	}

	.timeline h3 {
		padding-top: 3em;
		font-size: 0.65em;
	}

	.footer nav {
		font-size: 0.6em;
	}

	.houses {
		font-size: 0.6em;
	}

	 .hidden-xs {
		display: none;
	 }
}